CREATE TABLE locations_old AS SELECT 
	id,
	0+0 as parent,
	name,
	descr,
	assignuser,
	assigndate,
	updateuser,
	upddate 
FROM locations;
DROP TABLE locations;
CREATE TABLE locations (
	id              INT4 NOT NULL DEFAULT nextval('locations_id_seq') PRIMARY KEY,    
	parent		INT4 NOT NULL REFERENCES locations(id) MATCH FULL ON DELETE CASCADE ON UPDATE CASCADE DEFAULT '0',	
	name		VARCHAR(256) NOT NULL,
	descr		TEXT,
	assignuser	INT4 REFERENCES users(id) MATCH FULL ON UPDATE CASCADE,
	assigndate	TIMESTAMP DEFAULT now(),
	updateuser	INT4 REFERENCES users(id) MATCH FULL ON UPDATE CASCADE,
	upddate		TIMESTAMP DEFAULT now()
);
INSERT INTO locations SELECT * FROM locations_old;
DROP TABLE locations_old;
GRANT ALL ON locations TO northstar;


CREATE TABLE devices_old AS SELECT
	id,
	0+0 as parent,
	name,
	descr,
	owner,
	location,
	assignuser,
	assigndate,
	updateuser,
	upddate
FROM devices;
DROP TABLE devices;
CREATE TABLE devices (
	id		INT4 NOT NULL DEFAULT nextval('devices_id_seq') PRIMARY KEY, 
	parent		INT4 NOT NULL REFERENCES devices(id) MATCH FULL ON DELETE CASCADE ON UPDATE CASCADE DEFAULT '0',	
	name		VARCHAR(256) NOT NULL,
	descr		TEXT,
	owner		INT4 NOT NULL REFERENCES owners(id) MATCH FULL ON DELETE CASCADE ON UPDATE CASCADE, 
	location	INT4 NOT NULL REFERENCES locations(id) MATCH FULL ON DELETE CASCADE ON UPDATE CASCADE, 
	assignuser	INT4 NOT NULL REFERENCES users(id) MATCH FULL ON UPDATE CASCADE,
	assigndate	TIMESTAMP DEFAULT now(),
	updateuser	INT4 REFERENCES users(id) MATCH FULL ON UPDATE CASCADE,
	upddate		TIMESTAMP DEFAULT now()
);
INSERT INTO devices SELECT * FROM devices_old;
DROP TABLE devices_old;
GRANT ALL ON devices TO northstar;
